Summary:	Sparse - a semantic parser of source files
Summary(pl.UTF-8):	Sparse - analizator semantyczny plików źródłowych
Name:		sparse
Version:	0.6.1
Release:	2
License:	OSL v1.1
Group:		Development/Debuggers
Source0:	https://www.kernel.org/pub/software/devel/sparse/dist/%{name}-%{version}.tar.xz
# Source0-md5:	9fa73cc37326032006dc8acff5466a91
URL:		https://www.kernel.org/pub/software/devel/sparse/
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	llvm-devel >= 3.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library. Scanty and meager,
and partly because of that easy to use. It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis. It's not a tokenizer, nor is it some generic context-free
parser. In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

%description -l pl.UTF-8
Sparse to analizator semantyczny plików źródłowych - nie jest to ani
kompilator (choć mógłby być używany jako frontend dla niego) ani
preprocesor (choć zawiera jako część fazę preprocesingu).

Sparse ma być małą i prostą biblioteką. Ledwie wystarczającą i
niewielką, i po części dlatego łatwą w użyciu. Ma jedno zadanie:
utworzyć drzewo semantyczne analizy do dowolnego późniejszego
wykorzystania. Nie jest to tokenizer ani żaden ogólny analizator
bezkontekstowy. Właściwie kontekst (semantyka) to wszystko co
istotne - przedstawianie nie tylko czym są grupowane tokeny, ale tego,
czym są _typy_ obejmowane przez grupowanie.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fpic" \
	LDFLAGS="%{rpmldflags}" \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ LICENSE README
%attr(755,root,root) %{_bindir}/c2xml
%attr(755,root,root) %{_bindir}/cgcc
%attr(755,root,root) %{_bindir}/sparse
%attr(755,root,root) %{_bindir}/sparse-llvm
%attr(755,root,root) %{_bindir}/sparsec
%attr(755,root,root) %{_bindir}/test-inspect
%{_mandir}/man1/cgcc.1*
%{_mandir}/man1/sparse.1*
%changelog
* Thu Dec 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sparse.git;a=log;h=master

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> 66d9380
- release 2 (by relup.sh)

* Fri Nov 08 2019 Jakub Bogusz <qboosh@pld-linux.org> 963906e
- updated to 0.6.1

* Sat Sep 07 2019 Jan Palus <atler@pld-linux.org> d23be38
- llvm rebuild
- release 2 (by relup.sh)

* Sat Mar 30 2019 Jakub Bogusz <qboosh@pld-linux.org> bf29ecf
- updated to 0.6.0
- removed obsolete llvm patch
- devel part no longer installed

* Mon Dec 17 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> c9f3588
- Release: 3 (rebuild with rtti llvm 7)

* Tue Nov 27 2018 Jan Rękorajski <baggins@pld-linux.org> 258a0b4
- rebuild with llvm 7
- release 2 (by relup.sh)

* Mon Nov 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 791ad46
- updated to 0.5.2
- added llvm patch (fix llvm detection on i686)

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 204719f
- updated to 0.5.0

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> 17e15f3
- release 2 (by relup.sh)

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 7ddda07
- updated to 0.4.4

* Tue Nov 13 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 940fda9
- up to 0.4.1

* Wed Sep 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b9398d9
- up to 0.4

* Thu May 10 2007 Jakub Bogusz <qboosh@pld-linux.org> 12d186d
- pl, URL

* Tue May 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ab4aea1
- new

